<?
ob_start();
require'../sys/head.php';
require'../sys/conf.php';
require'../sys/sess.php';
require'../otsev.php';
echo"<b>Дом войны</b><br/>";
$sp=mysql_fetch_array(qw("SELECT id FROM domik WHERE strana ='$re1[strana]' and domik2='2'"));
if($sp[id]>0){
echo'</div><div class="knews">';
if(!empty($_GET['make'])){$make = $_GET['make'];} else {$make= '';}
switch($make){
default:
echo'<a href="domwar.php?make=oxp&der='.$key.'">{охрана}</a>';
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_2 WHERE strana ='$re1[strana]'"));
$ox=$ox[peh]+$ox[kon]+$ox[str]+$ox[puh]+$ox[tan]+$ox[sam];
echo"[($ox)]<br/>";
echo"<a href='domwar.php?make=1&der=$key'>Военные</a>[$re2[peh]][$re2[kon]][$re2[str]]<br/>";
echo"<a href='domwar.php?make=2&der=$key'>Параметры войск</a><br/>";
echo"<a href='domwar.php?make=3&der=$key'>Катапульты</a> ($re2[kat])<br/>";
break;
case 3:
echo"<u><b>Стоимость 1-ого стенобитного орудия</u></b> <br/>";
echo "Камень>>300<br/>Дерево>>400<br/>"; 
echo'<FORM ACTION="domwar.php?make=4&der='.$key.'" METHOD="POST">';?>
Сколько построить<br/> <INPUT TYPE='text' NAME='сколь'><br/>
 <input type="submit" value="построить">
 </FORM><?
break;
case 4:
$kkat=zif($_POST['сколь']);
$kkat1=round($kkat);
if($kkat1>0) {
$k2=$re2[kamen];
$k3=$re2[derevo];
$kk2=300*$kkat;
$kk3=400*$kkat;
$k12=$k2-$kk2;
$k13=$k3-$kk3;
if($k12>=0&&$k13>=0) {
$kkat2=$re2[kat]+$kkat;
qw("UPDATE gos2 SET kat = '$kkat2',kamen='$k12',derevo='$k13' WHERE strana='$re1[strana]'");
mysql_close();
echo"Изготовлено катапульт:$kkat<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('21','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Изготовлено катапульт:$kkat')");
}else{
echo"Недостаточно ресурсов!!!";
}
}else{
echo"Неверное число";
}
break;
case 2:
$w1=mysql_fetch_array(qw("SELECT sum(kolvo)as a FROM rynok WHERE strana='$re1[strana]'"));
$sp=mysql_fetch_array(qw("SELECT res,ryn FROM domik WHERE strana ='$re1[strana]'"));
$x=$sp[res]-($re2[metal]+$re2[kamen]+$re2[derevo]+$re2[neft]+$re2[zerno]+$w1[a]);
if(empty($_GET[k])){
echo"Пехота :<br/>
атака ($re2[peh1]) <a href='domwar.php?make=2&k=1&der=$key'>[<b>+</b>]</a>/<a href='domwar.php?make=2&k=2&der=$key'>[<b>-</b>]</a><br/>
защита ($re2[peh2]) <a href='domwar.php?make=2&k=3&der=$key'>[<b>+</b>]</a>/<a href='domwar.php?make=2&k=4&der=$key'>[<b>-</b>]</a><br/>";
echo"Кавалерия :<br/>
атака ($re2[kav1]) <a href='domwar.php?make=2&k=5&der=$key'>[<b>+</b>]</a>/<a href='domwar.php?make=2&k=6&der=$key'>[<b>-</b>]</a><br/>
защита ($re2[kav2]) <a href='domwar.php?make=2&k=7&der=$key'>[<b>+</b>]</a>/<a href='domwar.php?make=2&k=8&der=$key'>[<b>-</b>]</a><br/>";
echo"Стрелки :<br/>
атака ($re2[str1]) <a href='domwar.php?make=2&k=9&der=$key'>[<b>+</b>]</a>/<a href='domwar.php?make=2&k=10&der=$key'>[<b>-</b>]</a><br/>
защита ($re2[str2]) <a href='domwar.php?make=2&k=11&der=$key'>[<b>+</b>]</a>/<a href='domwar.php?make=2&k=12&der=$key'>[<b>-</b>]</a><br/>";

}
if($_GET[k]==1){
$a=(($re2[peh1]+1)*$re2[peh1])*(25*$re2[peh1]);
if($re2[metal]>=$a){
$y=$re2[peh1]+1;
echo"Атака $y,затрачено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal-'$a',peh1=peh1+'1' WHERE strana='$re1[strana]'");}else{
echo"Недостаточно железа!требуется ($a)<br/>";}
}
if($_GET[k]==2){
$a=(($re2[peh1]-1)*$re2[peh1])*(12*$re2[peh1]);
if($re2[peh1]!=1){
$y=$re2[peh1]-1;
if($x>$a){$x=$x-$a;}else{$a=$x;$x=0;}if($a<0){$a=0;}
echo"Атака $y,возвращено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal+'$a',peh1=peh1-'1' WHERE strana='$re1[strana]'");}else{
echo"Достигнут минимальный параметр<br/>";}
}
if($_GET[k]==3){
$a=(($re2[peh2]+1)*$re2[peh2])*(30*$re2[peh2]);
if($re2[metal]>=$a){
$y=$re2[peh2]+1;
echo"Защита $y,затрачено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal-'$a',peh2=peh2+'1' WHERE strana='$re1[strana]'");}else{
echo"Недостаточно железа!требуется ($a)<br/>";}
}
if($_GET[k]==4){
$a=(($re2[peh2]-1)*$re2[peh2])*(15*$re2[peh2]);
if($re2[peh2]!=1){
$y=$re2[peh2]-1;
if($x>$a){$x=$x-$a;}else{$a=$x;$x=0;}if($a<0){$a=0;}
echo"Защита $y,возвращено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal+'$a',peh2=peh2-'1' WHERE strana='$re1[strana]'");}else{
echo"Достигнут минимальный параметр<br/>";}
}
if($_GET[k]==5){
$a=(($re2[kav1]+1)*$re2[kav1])*(35*$re2[kav1]);
if($re2[metal]>=$a){
$y=$re2[kav1]+1;
echo"Атака $y,затрачено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal-'$a',kav1=kav1+'1' WHERE strana='$re1[strana]'");}else{
echo"Недостаточно железа!требуется ($a)<br/>";}
}
if($_GET[k]==6){
$a=(($re2[kav1]-1)*$re2[kav1])*(17*$re2[kav1]);
if($re2[kav1]!=1){
$y=$re2[kav1]-1;
if($x>$a){$x=$x-$a;}else{$a=$x;$x=0;}if($a<0){$a=0;}
echo"Атака $y,возвращено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal+'$a',kav1=kav1-'1' WHERE strana='$re1[strana]'");}else{
echo"Достигнут минимальный параметр<br/>";}
}
if($_GET[k]==7){
$a=(($re2[kav2]+1)*$re2[kav2])*(40*$re2[kav2]);
if($re2[metal]>=$a){
$y=$re2[kav2]+1;
echo"Защита $y,затрачено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal-'$a',kav2=kav2+'1' WHERE strana='$re1[strana]'");}else{
echo"Недостаточно железа!требуется ($a)<br/>";}
}
if($_GET[k]==8){
$a=(($re2[kav2]-1)*$re2[kav2])*(20*$re2[kav2]);
if($re2[kav2]!=1){
$y=$re2[kav2]-1;
if($x>$a){$x=$x-$a;}else{$a=$x;$x=0;}if($a<0){$a=0;}
echo"Защита $y,возвращено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal+'$a',kav2=kav2-'1' WHERE strana='$re1[strana]'");}else{
echo"Достигнут минимальный параметр<br/>";}
}
if($_GET[k]==9){
$a=(($re2[str1]+1)*$re2[str1])*(45*$re2[str1]);
if($re2[metal]>=$a){
$y=$re2[str1]+1;
echo"Атака $y,затрачено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal-'$a',str1=str1+'1' WHERE strana='$re1[strana]'");}else{
echo"Недостаточно железа!требуется ($a)<br/>";}
}
if($_GET[k]==10){
$a=(($re2[str1]-1)*$re2[str1])*(20*$re2[str1]);
if($re2[str1]!=1){
$y=$re2[str1]-1;
if($x>$a){$x=$x-$a;}else{$a=$x;$x=0;}if($a<0){$a=0;}
echo"Атака $y,возвращено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal+'$a',str1=str1-'1' WHERE strana='$re1[strana]'");}else{
echo"Достигнут минимальный параметр<br/>";}
}
if($_GET[k]==11){
$a=(($re2[str2]+1)*$re2[str2])*(50*$re2[str2]);
if($re2[metal]>=$a){
$y=$re2[str2]+1;
echo"Защита $y,затрачено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal-'$a',str2=str2+'1' WHERE strana='$re1[strana]'");}else{
echo"Недостаточно железа!требуется ($a)<br/>";}
}
if($_GET[k]==12){
$a=(($re2[str2]-1)*$re2[str2])*(25*$re2[str2]);
if($re2[str2]!=1){
$y=$re2[str2]-1;
if($x>$a){$x=$x-$a;}else{$a=$x;$x=0;}if($a<0){$a=0;}
echo"Защита $y,возвращено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal+'$a',str2=str2-'1' WHERE strana='$re1[strana]'");}else{
echo"Достигнут минимальный параметр<br/>";}
}
break;
case 1:
$sp=mysql_fetch_array(qw("SELECT * FROM kmb WHERE strana ='$re1[strana]' and voin<'4'"));
$u1=time();$u2=$sp[time]-$u1;
if($sp[data]>$u2){
$sec = $u2;
$min = floor($sec/60);$sec-=$min*60;
echo"{Идёт обучение}(<b>$min м. $sec c.</b>)<br/>";
}else{
if(empty($_GET[k])){
echo"Свободные военные :<br/>";
if($re2[peh]>0){echo"Пехотинцы ($re2[peh])<br/>";}
if($re2[kon]>0){echo"Кавалеристы ($re2[kon])<br/>";}
if($re2[str]>0){echo"Стрелки ($re2[str])<br/>";}

echo"<a href='domwar.php?make=1&k=1&der=$key'>Обучить</a><br/><a href='domwar.php?make=1&k=3&der=$key'>Уволить</a><br/>";
}
if($_GET[k]==1){
echo'<FORM ACTION="domwar.php?make=1&k=2&der='.$key.'" METHOD="POST">';?>
Сколько рабочих (<?echo"$re2[rab]";?>):<br/>
<input format='*N' name='rab'/><br/>
Ученые (<?echo"$re2[bot]";?>):<br/>
<input format='*N' name='bot'/><br/>
Тип войск:<br/>
<select name="voin">
<option value="1">Пехота</option>
<?if($re2[land]>=8000){?><option value="2">Кавалерия</option><?}?>
<?if($re2[land]>=12000){?><option value="3">Стрелки</option><?}?>
</select><br/><input type="submit" value="Обучить">
 </FORM><?
}
if($_GET[k]==2){
$e1=zif($_POST[rab]);$e2=zif($_POST[bot]);
if($re2[rab]>=$e1 and $re2[bot]>=$e2){
switch($_POST[voin]){
case 1:$kto='пехота';if($re0[izo]!=1){echo"<img src='../../izo/peh.png'>";}
$den=12;$met=4;$kam=0;$der=0;$zer=10;$q1=$den*$e1;$q2=$met*$e1;$q3=$zer*$e1;$q4=$kam*$e1;$q5=$der*$e1;$h=600;$m=1;
break;
case 2:$kto='кавалерия';if($re0[izo]!=1){echo"<img src='../../izo/kon.png'>";}
if($re2[land]<8000){$f=1;}else{
$den=28;$met=8;$kam=10;$der=8;$zer=36;$q1=$den*$e1;$q2=$met*$e1;$q3=$zer*$e1;$q4=$kam*$e1;$q5=$der*$e1;$h=850;$m=2;
}
break;
case 3:$kto='стрелки';if($re0[izo]!=1){echo"<img src='../../izo/str.png'>";}
if($re2[land]<12000){$f=1;}else{
$den=35;$met=12;$kam=16;$der=12;$zer=48;$q1=$den*$e1;$q2=$met*$e1;$q3=$zer*$e1;$q4=$kam*$e1;$q5=$der*$e1;$h=950;$m=3;
}
break;
}
if($re2[dengi]>=$q1 and $re2[metal]>=$q2 and $re2[zerno]>=$q3 and $re2[kamen]>=$q4 and $re2[derevo]>=$q5){
$ty=round(($e1*$h)/$e2);$yt=round($ty/60);$tim1=time();$tim2=$tim1+$ty;
echo"Обучение займёт $yt минут,<br/>Стоимость :Деньги ($q1),Железо ($q2),Камень ($q4),Дерево ($q5),Зерно ($q3)<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('21','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Обучение займёт $yt минут ($kto)($e1)')");
if($f!=1){
qw("INSERT INTO kmb (strana,rab,voin,bot,data,time) VALUES('$re1[strana]','$e1','$m','$e2','$ty','$tim2')");
qw("UPDATE gos2 SET rab=rab-'$e1',bot=bot-'$e2',dengi=dengi-'$q1',metal=metal-'$q2',kamen=kamen-'$q4',derevo=derevo-'$q5',zerno=zerno-'$q3' WHERE strana='$re1[strana]'");
}else{header("Location: domwar.php?make=1&der=$key");}}else{
echo"Не хватает ресурсов,нужно :<br/>Деньги ($q1),Железо ($q2),Камень ($q4),Дерево ($q5),Зерно ($q3)<br/>";
}
}else{
echo"Нет столько рабочих или учёных!<br/>";
}
}
if($_GET[k]==3){
if($re2[peh]>0 or $re2[kon]>0 or $re2[str]>0){
echo"<FORM ACTION='domwar.php?make=1&k=4&der=$key' METHOD='POST'>";?>
<?if($re2[peh]>0){?>Пехота:<br/><input type="text" name="peh" maxlength="10" value="<?=$re2[peh];?>" size="10"/><br/><?}?>
<?if($re2[kon]>0){?>Кавалерия:<br/><input type="text" name="kon" maxlength="10" value="<?=$re2[kon];?>" size="10"/><br/><?}?>
<?if($re2[str]>0){?>Стрелки:<br/><input type="text" name="str" maxlength="10" value="<?=$re2[str];?>" size="10"/><br/><?}?>
<INPUT TYPE='submit'VALUE='Уволить'></FORM><br/><?
}else{echo"Нет свободных военных<br/>";}
}
if($_GET[k]==4){
if($re2[peh]>0 or $re2[kon]>0 or $re2[str]>0){
$peh=zif($_POST[peh]);$kon=zif($_POST[kon]);$str=zif($_POST[str]);
if($re2[peh]>=$peh and $re2[kon]>=$kon and $re2[str]>=$str){
$den=(6*$peh)+(14*$kon)+(18*$str);$met=(2*$peh)+(4*$kon)+(6*$str);$kam=(5*$kon)+(8*$str);$der=(4*$kon)+(6*$str);$zer=(5*$peh)+(18*$kon)+(24*$str);
$rab=$peh+$kon+$str;
/////////////////////////////////////////////////
$w1=mysql_fetch_array(qw("SELECT sum(kolvo)as a FROM rynok WHERE strana='$re1[strana]'"));
$sp=mysql_fetch_array(qw("SELECT res,ryn FROM domik WHERE strana ='$re1[strana]'"));
$x=$sp[res]-($re2[metal]+$re2[kamen]+$re2[derevo]+$re2[neft]+$re2[zerno]+$w1[a]);
////////////////////////////////////////////////
if($x>$met){$x=$x-$met;}else{$met=$x;$x=0;}if($met<0){$met=0;}
if($x>$kam){$x=$x-$kam;}else{$kam=$x;$x=0;}if($kam<0){$kam=0;}
if($x>$der){$x=$x-$der;}else{$der=$x;$x=0;}if($der<0){$der=0;}
if($x>$zer){$x=$x-$zer;}else{$zer=$x;$x=0;}if($zer<0){$zer=0;}
qw("UPDATE gos2 SET rab=rab+'$rab',dengi=dengi+'$den',metal=metal+'$met',kamen=kamen+'$kam',derevo=derevo+'$der',zerno=zerno+'$zer',
peh=peh-'$peh',kon=kon-'$kon',str=str-'$str' WHERE strana='$re1[strana]'");
echo"Военные уволены,вы получили :<br/>деньги($den),железо($met),камень($kam),дерево($der),зерно($zer)<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('21','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Военные уволены,вы получили :<br/>деньги($den),железо($met),камень($kam),дерево($der),зерно($zer)')");
}else{echo"Нет столько военных<br/>";}
}else{echo"Нет свободных военных<br/>";}
}

}
break;
case oxp:
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_2 WHERE strana ='$re1[strana]'"));
if(empty($_GET[k])){
echo"<u>В охране </u>:<br/>Пехота ($ox[peh])<br/>Стрелки ($ox[str])<br/>Пушки ($ox[puh])<br/>Танки ($ox[tan])<br/>";
echo"<a href='domwar.php?make=oxp&k=1&der=$key'>Добавить</a><br/><a href='domwar.php?make=oxp&k=3&der=$key'>Забрать</a><br/>";
}
if($_GET[k]==1){
echo"<FORM ACTION='domwar.php?make=oxp&k=2&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$re2[peh];?>" size="5"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="4" value="<?=$re2[str];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$re2[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$re2[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Добавить'></FORM><br/><?
}
if($_GET[k]==2){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: domwar.php?make=oxp&der=$key");}else{
$lim=$a5+$ox[peh]+$ox[str]+$ox[puh]+$ox[tan];
if($ox[max]>=$lim){
if($re2[peh]>=$a1 and $re2[str]>=$a2 and $re2[puh]>=$a3 and $re2[tan]>=$a4){
qw("UPDATE gos2 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE oxp_2 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: domwar.php?make=oxp&der=$key");
}else{header("Location: domwar.php?make=oxp&der=$key");}
}else{echo"В охране может находиться не более $ox[max] юнитов!<br/>";}
}
}
if($_GET[k]==3){
echo"<FORM ACTION='domwar.php?make=oxp&k=4&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$ox[peh];?>" size="5"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="4" value="<?=$ox[str];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$ox[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$ox[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Забрать'></FORM><br/><?
}
if($_GET[k]==4){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: domwar.php?make=oxp&der=$key");}else{
if($ox[peh]>=$a1 and $ox[str]>=$a2 and $ox[puh]>=$a3 and $ox[tan]>=$a4){
qw("UPDATE oxp_2 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE gos2 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: domwar.php?make=oxp&der=$key");
}else{header("Location: domwar.php?make=oxp&der=$key");}
}
}
break;
}
echo'</div><div class="knews">';
?>|<a href='javascript:history.go(-1)'>Назад</a><br/><?
echo'<a href="../game.php?der='.$key.'">В страну</a><br/>';
echo'</div><div class="knews"><a href="../out.php?der='.$key.'">Выход</a><br/>';
require'../sys/foot.php';
}else{header("Location:../../game.php?der=$key");}
?>